Skip to main content
POST
/
orgs
/
{org_id}
/
connectors
/
{connector_id}
/
update
`POST /orgs/{org_id}/connectors/{connector_id}/update`
curl --request POST \
  --url https://api.timbal.ai/orgs/{org_id}/connectors/{connector_id}/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": "<string>"
}
'
{
  "artifact": "<string>",
  "dispatched": true,
  "target_version": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
connector_id
string
required

Body

application/json
version
string | null

Target version (0.1.3 or v0.1.3). Omit for the published latest.

Response

Connector already on the target version

artifact
string
required

Release artifact selected for the connector's platform.

dispatched
boolean
required

false when the connector already reports the target version (no-op).

target_version
string
required

Bare semver the connector was told to move to.